package app.service;

import org.apache.log4j.Logger;
import org.jboss.cache.Fqn;
import org.jboss.cache.TreeCache;
import org.jboss.cache.TreeCacheListener;
import org.jgroups.View;

public class DefaultCacheListener implements TreeCacheListener {

	Logger logger = Logger.getLogger(this.getClass());
	
	public void nodeCreated(Fqn arg0) {
		logger.info("created:" + arg0);
	}

	public void nodeRemoved(Fqn arg0) {
		logger.info("removed:" + arg0);	
	}

	public void nodeLoaded(Fqn arg0) {
		logger.info("loaded:" + arg0);	
	}

	public void nodeEvicted(Fqn arg0) {
		logger.info("evicted:" + arg0);	
	}

	public void nodeModified(Fqn arg0) {
		logger.info("modified:" + arg0);	
	}

	public void nodeVisited(Fqn arg0) {
		logger.info("visited:" + arg0);
	}

	public void cacheStarted(TreeCache arg0) {
		logger.info("started:" + arg0);		
	}

	public void cacheStopped(TreeCache arg0) {
		logger.info("stopped:" + arg0);	
	}

	public void viewChange(View arg0) {
		logger.info("view changed:" + arg0);	
	}

}
