package test;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

import app.service.CacheServiceInterface;
import app.service.TestServiceInterface;
import junit.framework.TestCase;

public class BaseTestCase extends TestCase {

	protected ClassPathXmlApplicationContext context;

	protected void tearDown() throws Exception {

		super.tearDown();
		context.close();
	}

	public void testService() throws Exception {
		TestServiceInterface service = (TestServiceInterface) context.getBean("TestService");
		assertEquals(5, service.add(2, 3));
		System.out.println("one");
		assertEquals(5, service.add(2, 3));
		System.out.println("two");
		
	}

}
