package test;

import org.springframework.context.support.ClassPathXmlApplicationContext;

import app.service.TestServiceInterface;

public class LoopingAutoDiscoveredRemoteServiceTest extends BaseTestCase {

	protected void setUp() throws Exception {
		super.setUp();
		context = new ClassPathXmlApplicationContext(new String[] {
				"classpath*:/**/*client-spring-context.xml",
				"test/test-auto-service-context.xml" });
	}

	public void testService() throws Exception {
		TestServiceInterface service = (TestServiceInterface) context.getBean("TestService");
		while(true) {
			assertEquals(5, service.add(2, 3));
			Thread.sleep(5000);
		}
	}	
}
